Skip to main content
PUT
/
api
/
slides
/
{slideId}
Update a slide
curl --request PUT \
  --url https://app.demand-iq.com/api/slides/{slideId} \
  --header 'Content-Type: application/json' \
  --cookie session= \
  --data '
{
  "title": "<string>",
  "bullets": [
    "<string>"
  ],
  "narrationScript": "<string>",
  "slideContext": "<string>",
  "audioUrl": "<string>",
  "heroImg": "<string>",
  "orderIndex": 123
}
'
{
  "slide": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "slideId": "<string>",
    "title": "<string>",
    "bullets": [
      "<string>"
    ],
    "narration_script": "<string>",
    "orderIndex": 123,
    "slide_context": "<string>",
    "audio_url": "<string>",
    "hero_img": "<string>",
    "wordTimings": [
      {
        "word": "<string>",
        "startTime": 123,
        "endTime": 123
      }
    ]
  }
}

Authorizations

session
string
cookie
required

Session cookie obtained from POST /api/auth/login.

Path Parameters

slideId
string<uuid>
required

UUID of the slide

Body

application/json
title
string
bullets
string[]
narrationScript
string
slideContext
string | null
audioUrl
string
heroImg
string | null
orderIndex
integer

Response

Updated slide

slide
object